<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: CuboidObstacle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_cuboid_obstacle.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_cuboid_obstacle-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CuboidObstacle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the cuboid obstacle.  
 <a href="class_cuboid_obstacle.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CuboidObstacle:</div>
<div class="dyncontent">
<div class="center"><img src="class_cuboid_obstacle__inherit__graph.png" border="0" usemap="#_cuboid_obstacle_inherit__map" alt="Inheritance graph"/></div>
<map name="_cuboid_obstacle_inherit__map" id="_cuboid_obstacle_inherit__map">
<area shape="rect" title="Models the concept of the cuboid obstacle." alt="" coords="5,80,129,107"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="36,5,99,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for CuboidObstacle:</div>
<div class="dyncontent">
<div class="center"><img src="class_cuboid_obstacle__coll__graph.png" border="0" usemap="#_cuboid_obstacle_coll__map" alt="Collaboration graph"/></div>
<map name="_cuboid_obstacle_coll__map" id="_cuboid_obstacle_coll__map">
<area shape="rect" title="Models the concept of the cuboid obstacle." alt="" coords="34,260,158,287"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="163,184,226,211"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="141,95,294,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="5,5,144,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac30b116e7a4684a2cf5403708b63359a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#ac30b116e7a4684a2cf5403708b63359a">CuboidObstacle</a> ()</td></tr>
<tr class="memdesc:ac30b116e7a4684a2cf5403708b63359a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_cuboid_obstacle.html" title="Models the concept of the cuboid obstacle.">CuboidObstacle</a> class.  <a href="class_cuboid_obstacle.html#ac30b116e7a4684a2cf5403708b63359a">More...</a><br /></td></tr>
<tr class="separator:ac30b116e7a4684a2cf5403708b63359a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a155db2a69880ad9e1385920bc36e41ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a155db2a69880ad9e1385920bc36e41ee">~CuboidObstacle</a> ()</td></tr>
<tr class="memdesc:a155db2a69880ad9e1385920bc36e41ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for CuboidObstacles class.  <a href="class_cuboid_obstacle.html#a155db2a69880ad9e1385920bc36e41ee">More...</a><br /></td></tr>
<tr class="separator:a155db2a69880ad9e1385920bc36e41ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58601592d1866745e78d37d7b610c573"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a58601592d1866745e78d37d7b610c573">draw</a> (const std::string &amp;cuboidObstacleFilename) const override</td></tr>
<tr class="memdesc:a58601592d1866745e78d37d7b610c573"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the rectangle obstacle coordinates to a result file.  <a href="class_cuboid_obstacle.html#a58601592d1866745e78d37d7b610c573">More...</a><br /></td></tr>
<tr class="separator:a58601592d1866745e78d37d7b610c573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace6d0f8db09fd495b282bb0524bec0b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">getCollisionInformation</a> () const override</td></tr>
<tr class="memdesc:ace6d0f8db09fd495b282bb0524bec0b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays error message, that in the next step will be collision with cuboid obstacle.  <a href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">More...</a><br /></td></tr>
<tr class="separator:ace6d0f8db09fd495b282bb0524bec0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3530598ee9d1ecc78d168ea978f8b79c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a3530598ee9d1ecc78d168ea978f8b79c">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover) const override</td></tr>
<tr class="memdesc:a3530598ee9d1ecc78d168ea978f8b79c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if in the next step of movement will be collision with the cuboid.  <a href="class_cuboid_obstacle.html#a3530598ee9d1ecc78d168ea978f8b79c">More...</a><br /></td></tr>
<tr class="separator:a3530598ee9d1ecc78d168ea978f8b79c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">More...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase translation vector.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">More...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase rotation angle.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">More...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="memdesc:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#a935afc9e576015f967d90de56977167d">More...</a><br /></td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a46b2b296f05dbbfbaf99810a198a2ccb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a46b2b296f05dbbfbaf99810a198a2ccb">kObstacleCuboidFile</a> = &quot;solid/obstacleCuboid.dat&quot;</td></tr>
<tr class="memdesc:a46b2b296f05dbbfbaf99810a198a2ccb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the cuboid obstacle coordinates.  <a href="class_cuboid_obstacle.html#a46b2b296f05dbbfbaf99810a198a2ccb">More...</a><br /></td></tr>
<tr class="separator:a46b2b296f05dbbfbaf99810a198a2ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a97f9c563dae030413a694fe42f1ca66b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a97f9c563dae030413a694fe42f1ca66b">xMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:a97f9c563dae030413a694fe42f1ca66b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on X axis.  <a href="class_cuboid_obstacle.html#a97f9c563dae030413a694fe42f1ca66b">More...</a><br /></td></tr>
<tr class="separator:a97f9c563dae030413a694fe42f1ca66b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66df1ef1fbbe69a5752faa8db92ce09a"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a66df1ef1fbbe69a5752faa8db92ce09a">xMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:a66df1ef1fbbe69a5752faa8db92ce09a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60075e46b6cab2c07b3016d7910e73b5"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a60075e46b6cab2c07b3016d7910e73b5">yMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:a60075e46b6cab2c07b3016d7910e73b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on Y axis.  <a href="class_cuboid_obstacle.html#a60075e46b6cab2c07b3016d7910e73b5">More...</a><br /></td></tr>
<tr class="separator:a60075e46b6cab2c07b3016d7910e73b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad48b8ea4a34fba849ed67d3d36e178eb"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#ad48b8ea4a34fba849ed67d3d36e178eb">yMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:ad48b8ea4a34fba849ed67d3d36e178eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8205b9d1145d4b8625433060fc5bc7f"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#ab8205b9d1145d4b8625433060fc5bc7f">zMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:ab8205b9d1145d4b8625433060fc5bc7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on Z axis.  <a href="class_cuboid_obstacle.html#ab8205b9d1145d4b8625433060fc5bc7f">More...</a><br /></td></tr>
<tr class="separator:ab8205b9d1145d4b8625433060fc5bc7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a651f17ffa48e4cae5d7f3f180cc5600a"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a651f17ffa48e4cae5d7f3f180cc5600a">zMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:a651f17ffa48e4cae5d7f3f180cc5600a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f7bb2a38be970fb0d2708b1a62764c"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">obstacleCuboid_</a></td></tr>
<tr class="memdesc:a77f7bb2a38be970fb0d2708b1a62764c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of cuboid obstacle coordinates.  <a href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">More...</a><br /></td></tr>
<tr class="separator:a77f7bb2a38be970fb0d2708b1a62764c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a170f86b9a730414960a37e23a9240286"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a170f86b9a730414960a37e23a9240286">obstacleCuboidTranslation_</a> {100, 150, -200}</td></tr>
<tr class="memdesc:a170f86b9a730414960a37e23a9240286"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default translation of cuboid obstacle.  <a href="class_cuboid_obstacle.html#a170f86b9a730414960a37e23a9240286">More...</a><br /></td></tr>
<tr class="separator:a170f86b9a730414960a37e23a9240286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e8d394179d5727763e397882c1e9238"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid_obstacle.html#a4e8d394179d5727763e397882c1e9238">kObstacleCuboidModel</a> = &quot;solid/obstacleCuboidModel.dat&quot;</td></tr>
<tr class="memdesc:a4e8d394179d5727763e397882c1e9238"><td class="mdescLeft">&#160;</td><td class="mdescRight">File containing the cuboid obstacle coordinates model.  <a href="class_cuboid_obstacle.html#a4e8d394179d5727763e397882c1e9238">More...</a><br /></td></tr>
<tr class="separator:a4e8d394179d5727763e397882c1e9238"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of total Vector3D objects.  <a href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">More...</a><br /></td></tr>
<tr class="separator:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of current Vector3D objects.  <a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">More...</a><br /></td></tr>
<tr class="separator:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a> (double degree)</td></tr>
<tr class="memdesc:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate degrees to radians.  <a href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">More...</a><br /></td></tr>
<tr class="separator:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translation vector of geometric object.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">More...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation angle of geometric object.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">More...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00179">179</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac30b116e7a4684a2cf5403708b63359a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac30b116e7a4684a2cf5403708b63359a">&#9670;&nbsp;</a></span>CuboidObstacle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CuboidObstacle::CuboidObstacle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Construct new <a class="el" href="class_cuboid_obstacle.html" title="Models the concept of the cuboid obstacle.">CuboidObstacle</a> object. </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00150">150</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="a155db2a69880ad9e1385920bc36e41ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a155db2a69880ad9e1385920bc36e41ee">&#9670;&nbsp;</a></span>~CuboidObstacle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CuboidObstacle::~CuboidObstacle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reduces the number of current Vector3D objects by the number of coordinates contained in set of cuboid obstacle coordinates. </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00235">235</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3530598ee9d1ecc78d168ea978f8b79c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3530598ee9d1ecc78d168ea978f8b79c">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool CuboidObstacle::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>droneCover</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">droneCover</td><td>- drone cover not visible on scene. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true - in next step will be collision, </dd>
<dd>
false - in next step will not be collision. </dd></dl>

<p>Implements <a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00201">201</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="a58601592d1866745e78d37d7b610c573"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58601592d1866745e78d37d7b610c573">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CuboidObstacle::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>cuboidObstacleFilename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cuboidObstacleFilename</td><td>- result file name. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00181">181</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="ace6d0f8db09fd495b282bb0524bec0b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace6d0f8db09fd495b282bb0524bec0b8">&#9670;&nbsp;</a></span>getCollisionInformation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CuboidObstacle::getCollisionInformation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00246">246</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a46b2b296f05dbbfbaf99810a198a2ccb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46b2b296f05dbbfbaf99810a198a2ccb">&#9670;&nbsp;</a></span>kObstacleCuboidFile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string CuboidObstacle::kObstacleCuboidFile = &quot;solid/obstacleCuboid.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00220">220</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a4e8d394179d5727763e397882c1e9238"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e8d394179d5727763e397882c1e9238">&#9670;&nbsp;</a></span>kObstacleCuboidModel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string CuboidObstacle::kObstacleCuboidModel = &quot;solid/obstacleCuboidModel.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00214">214</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a77f7bb2a38be970fb0d2708b1a62764c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77f7bb2a38be970fb0d2708b1a62764c">&#9670;&nbsp;</a></span>obstacleCuboid_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; CuboidObstacle::obstacleCuboid_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00204">204</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a170f86b9a730414960a37e23a9240286"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a170f86b9a730414960a37e23a9240286">&#9670;&nbsp;</a></span>obstacleCuboidTranslation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> CuboidObstacle::obstacleCuboidTranslation_ {100, 150, -200}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00209">209</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a66df1ef1fbbe69a5752faa8db92ce09a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66df1ef1fbbe69a5752faa8db92ce09a">&#9670;&nbsp;</a></span>xMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double CuboidObstacle::xMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00185">185</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a97f9c563dae030413a694fe42f1ca66b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97f9c563dae030413a694fe42f1ca66b">&#9670;&nbsp;</a></span>xMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double CuboidObstacle::xMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00185">185</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="ad48b8ea4a34fba849ed67d3d36e178eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad48b8ea4a34fba849ed67d3d36e178eb">&#9670;&nbsp;</a></span>yMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double CuboidObstacle::yMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00192">192</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a60075e46b6cab2c07b3016d7910e73b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60075e46b6cab2c07b3016d7910e73b5">&#9670;&nbsp;</a></span>yMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double CuboidObstacle::yMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00192">192</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a651f17ffa48e4cae5d7f3f180cc5600a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a651f17ffa48e4cae5d7f3f180cc5600a">&#9670;&nbsp;</a></span>zMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double CuboidObstacle::zMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00199">199</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="ab8205b9d1145d4b8625433060fc5bc7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8205b9d1145d4b8625433060fc5bc7f">&#9670;&nbsp;</a></span>zMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double CuboidObstacle::zMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00199">199</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="obstacles_8hh_source.html">obstacles.hh</a></li>
<li><a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
